%global packname  {{ packname }}

Name:             R-%{packname}
Version:          {{version}}
Release:          1%{?dist}
Summary:          {{summary}}

Group:            Applications/Engineering 
License:          {{license}}
URL:              {{URL}}
Source0:          {{source0}}
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
{% if (arch == "noarch") %}BuildArch:        noarch 
{% else %} {% endif %}
{% if depends != "" %}Requires:         {{depends}} {% endif %}
{% if suggests != "" %}Requires:         {{suggests}} {% endif %}
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex {{depends}} {{suggests}}

%description
{{description}}

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

{% if (arch == "noarch") %}

# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

{% else %}

# x86/x86_64 -> Architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

{% endif %}

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
{% if (arch == "noarch") %}
#i386 arch
#%dir %{_libdir}/R/library/%{packname}
#%doc %{_libdir}/R/library/%{packname}/doc
#%doc %{_libdir}/R/library/%{packname}/html
#%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
#%doc %{_libdir}/R/library/%{packname}/NEWS

#noarch
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/NEWS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help
{% else %}
#i386 arch
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help

#noarch
#%dir %{_datadir}/R/library/%{packname}
#%doc %{_datadir}/R/library/%{packname}/doc
#%doc %{_datadir}/R/library/%{packname}/html
#%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
#%doc %{_datadir}/R/library/%{packname}/NEWS
{% endif %}
%changelog
* {{date}} {{name}} <{{email}}> {{version}}-1
- initial package for Fedora
